openSuSE 13.2 upgrade problems

I upgraded from 13.1 to 13.2 and video stopped working on firefox 34.0.5, Opera and Chrome. I reinstalled flash & flash plugin, VLC. I checked javascript is enabled. Yast package installer doesn’t work.

Video? What kind of video? Be specific

How did you upgrade
Lets see your repos:

zypper lr -d

Also result of

zypper ve

On 2014-12-07 04:56, reguspatoff wrote:
>
> I upgraded from 13.1 to 13.2 and video stopped working on firefox
> 34.0.5, Opera and Chrome. I reinstalled flash & flash plugin, VLC. I
> checked javascript is enabled. Yast package installer doesn’t work.

Which type of upgrade? Online System Upgrade (zypper dup) or Offline
System Upgrade (boot DVD, choose upgrade instead of install)? Or fresh
install on top of the old one?

Online upgrade
method

Offline upgrade
method


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

It was a boot DVD choose upgrade option. It seemed to work fine no error messages. I, also, ran the check media option on the disk before doing the upgrade with no errors.
chrome://interclue/content/cluecore/skins/default/pixel.gifchrome://interclue/content/cluecore/skins/default/pixel.gifchrome://interclue/content/cluecore/skins/default/pixel.gifchrome://interclue/content/cluecore/skins/default/pixel.gif

I upgraded from a boot DVD from openSuSe website. I ran the check media with no errors before doing the upgrade. The upgrade showed no error while doing the upgrade. All videos: i.e., flash, mp4 avi, etc.

First is the result of zypper lr -d:
1 | Gnome_Stable | Gnome Stable | No | Yes | 99 | NONE | http://download.opensuse.org/repositories/GNOME:/STABLE:/3.12/openSUSE_13.2/ |
2 | LibreOffice | LibreOffice | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.2/ |
3 | Mozilla | Mozilla | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_13.2/ |
4 | Packman Repository | Packman Repository | Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2 |
5 | Packman_Essentials | Packman Essentials | Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_13.2/Essentials/ |
6 | Videolan | Videolan | Yes | Yes | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.2/ |
7 | download.opensuse.org-13.2-non-oss | Update Repository (Non-Oss) | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2-non-oss/ |
8 | download.opensuse.org-oss | Main Repository (OSS) | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/13.2/repo/oss/ |
9 | libdvdcss repository | libdvdcss repository | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/13.2/ |
10 | non-oss | non-oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/13.2/repo/non-oss/ |
11 | openSUSE-13.2-0 | openSUSE-13.2-0 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-_NEC_DVD_RW_ND-3540A |
12 | openSUSE:13.1:Update | openSUSE:13.2:Update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/ports/update/13.2/ |
13 | repo-debug | openSUSE-13.2-Debug | Yes | Yes | 99 | yast2 | http://download.opensuse.org/debug/distribution/13.2/repo/oss/ |
14 | repo-debug-update | openSUSE-13.2-Update-Debug | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/13.2/ |
15 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/13.2-non-oss/ |
16 | repo-source | openSUSE-13.2-Source | Yes | Yes | 99 | yast2 | http://download.opensuse.org/source/distribution/13.2/repo/oss/ |
17 | update | update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2/ |
18 | wine | wine | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_13.2/ |

The result of zypper ve:

Loading repository data…
Reading installed packages…
3 Problems:
Problem: nothing provides appdata(firefox.appdata.xml) needed by application:Firefox-.noarch
Problem: nothing provides appdata(glabels-3.0.appdata.xml) needed by application:gLabels Label Designer 3-.noarch
Problem: nothing provides appdata(thunderbird.appdata.xml) needed by application:Thunderbird-.noarch

Problem: nothing provides appdata(firefox.appdata.xml) needed by application:Firefox-.noarch
Solution 1: deinstallation of application:Firefox-.noarch
Solution 2: break application:Firefox-.noarch by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c):

Hope this helps

Thanks for trying to help

On 2014-12-07 22:26, reguspatoff wrote:
>
> robin_listas;2681333 Wrote:

>> Which type of upgrade? Online System Upgrade (zypper dup) or Offline
>> System Upgrade (boot DVD, choose upgrade instead of install)? Or fresh
>> install on top of the old one?

> It was a boot DVD choose upgrade option. It seemed to work fine no error
> messages. I, also, ran the check media option on the disk before doing
> the upgrade with no errors.


> [image:
> chrome://interclue/content/cluecore/skins/default/pixel.gif][image:
> chrome://interclue/content/cluecore/skins/default/pixel.gif][image:
> chrome://interclue/content/cluecore/skins/default/pixel.gif][image:
> chrome://interclue/content/cluecore/skins/default/pixel.gif]

You failed to paste those photos, whatever they might be.

Also the output of zypper lr you were asked to post is difficult to
read, because you did not use code tags, so that the forum software
doesn’t do silly things like converting URLS to tiny urls, wrap lines,
or otherwise hide or alter the commands you entered. You get them by
clicking on the ‘#’ button in the forum editor.
http://susepaste.org/images/15093674.jpg

Ok, the DVD upgrade method has a problem: that the dvd does not contain
everything, it is too small. Thus basically you need to do a zypper dup
with ONLY the oss and non-oss repos enabled. That’s TWO repos.

Otherwise, run this in a terminal:


rpm -q -a --queryformat "%{INSTALLTIME}	%{INSTALLTIME:day} \
%{BUILDTIME:day} %-30{NAME}	%15{VERSION}-%-7{RELEASE}	%{arch} \
%25{VENDOR}%25{PACKAGER} == %{DISTRIBUTION} %{DISTTAG}
" \
| sort | cut --fields="2-" | tee rpmlist \
| egrep -v "openSUSE.13\.2" | less -S

And manually consider upgrading everything in that list, or not.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

My advice for what it’s worth
Edit the repos
to:

4 | Packman Repository | Packman Repository | Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2 | 
7 | download.opensuse.org-13.2-non-oss | Update Repository (Non-Oss) | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2-non-oss/ | 
8 | download.opensuse.org-oss | Main Repository (OSS) | Yes | Yes | 99 | yast2 | [http://download.opensuse.org/distrib...13.2/repo/oss/](http://download.opensuse.org/distribution/13.2/repo/oss/) | 
9 | libdvdcss repository | libdvdcss repository | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/13.2/ | 
10 | non-oss | non-oss | Yes | Yes | 99 | yast2 | [http://download.opensuse.org/distrib.../repo/non-oss/](http://download.opensuse.org/distribution/13.2/repo/non-oss/) | 
12 | openSUSE:13.1:Update | openSUSE:13.2:Update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/ports/update/13.2/ | 
13 | repo-debug | openSUSE-13.2-Debug | Yes | Yes | 99 | yast2 | [http://download.opensuse.org/debug/d...13.2/repo/oss/](http://download.opensuse.org/debug/distribution/13.2/repo/oss/) | 
14 | repo-debug-update | openSUSE-13.2-Update-Debug | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/13.2/ | 
15 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/13.2-non-oss/ | 
16 | repo-source | openSUSE-13.2-Source | Yes | Yes | 99 | yast2 | [http://download.opensuse.org/source/...13.2/repo/oss/](http://download.opensuse.org/source/distribution/13.2/repo/oss/) | 
17 | update | update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2/ | 

Then run

su -
zypper dup

Reboot when done and you can later apply the switch on Packman

On 2014-12-08 05:26, caf4926 wrote:
>
> My advice for what it’s worth
> Edit the repos
> to:

Hum. That flowing… I have to edit it to be able to see. :-}


> Code:
> --------------------
>    4 | Packman Repository                 | Packman Repository                 | Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2        |
>    7 | download.opensuse.org-13.2-non-oss | Update Repository (Non-Oss)        | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2-non-oss/              |
>    8 | download.opensuse.org-oss          | Main Repository (OSS)              | Yes | Yes | 99 | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/       |
>    9 | libdvdcss repository               | libdvdcss repository               | Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/13.2/                           |
>   10 | non-oss                            | non-oss                            | Yes | Yes | 99 | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/   |
>   12 | openSUSE:13.1:Update               | openSUSE:13.2:Update               | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/ports/update/13.2/                |
>   13 | repo-debug                         | openSUSE-13.2-Debug                | Yes | Yes | 99 | yast2  | http://download.opensuse.org/debug/distribution/13.2/repo/oss/ |
>   14 | repo-debug-update                  | openSUSE-13.2-Update-Debug         | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/13.2/                |
>   15 | repo-debug-update-non-oss          | openSUSE-13.2-Update-Debug-Non-Oss | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/13.2-non-oss/        |
>   16 | repo-source                        | openSUSE-13.2-Source               | Yes | Yes | 99 | yast2  | http://download.opensuse.org/source/distribution/13.2/repo/oss/|
>   17 | update                             | update                             | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2/                      |
>
> --------------------

> Code:
> --------------------
> su -
> zypper dup
> --------------------
>
>
> Reboot when done and you can later apply the switch on Packman

But packman is already enabled above. I would set it to “disabled” in
advance.

From the above I would recommend, to only leave enabled 10 and 9.
Everything else is dangerous to have during the dup.

After the zypper dup and a reboot, I would enable 17 and 7, and run a
zypper patch.

After possibly a further reboot, if asked, then I would enable 4
(packman) and 9 , and do the switch to packman as documented on the
multimedia sticky.

If you do a zypper dup with everything enabled, as the above list shows,
you do not have control of what it will do. It is dangerous.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

I got tired trying to get 13.2 to work; so I reinstalled 13.1 and reset Firefox. Problems are gone.